Bug 810982 - Enable locator support for QueryServer in RHHAv2 tools
Enable locator support for QueryServer in RHHAv2 tools
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-cluster-resource-agent (Show other bugs)
Development
All Linux
medium Severity medium
: 2.3
: ---
Assigned To: Robert Rati
Tomas Rusnak
done
:
Depends On: 800660 871080
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 15:25 EDT by Robert Rati
Modified: 2013-03-06 13:43 EST (History)
5 users (show)

See Also:
Fixed In Version: condor-7.8.6-0.1
Doc Type: Enhancement
Doc Text:
Feature: Aviary locator support for RHHA mangaged query servers Reason: Aviary clients need to know which machine the query server is running on. Query servers configured to be managed by RHHA will change machines when the schedd does Result (if any): The tools for configuring a query server to be managed by RHHA provide locator service functionality. A query server configured to be managed by RHHA that supports the locator service will be able to use it
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:43:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2012-04-09 15:25:32 EDT
Description of problem:
Enable use of the Locator feature for the QueryServer in the Red Hat HA tools.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2012-04-12 17:39:45 EDT
The query servers configured with the wallaby shell commands will now be configured with locator support.

Tracking on upstream branch:
V7_6-branch
Comment 5 Tomas Rusnak 2012-11-19 10:29:32 EST
From /var/log/condor/SchedLog-HASchedd1

11/19/12 10:16:08 (pid:11744) Using config source: /etc/condor/condor_config
11/19/12 10:16:08 (pid:11744) Using local config sources: 
11/19/12 10:16:08 (pid:11744)    /etc/condor/config.d/00personal_condor.config
11/19/12 10:16:08 (pid:11744)    /etc/condor/config.d/60condor-qmf.config
11/19/12 10:16:08 (pid:11744)    /etc/condor/config.d/61aviary.config
11/19/12 10:16:08 (pid:11744)    /etc/condor/config.d/99configd.config
11/19/12 10:16:08 (pid:11744)    /etc/condor/config.d/zzz_condor_config.test
11/19/12 10:16:08 (pid:11744)    /var/lib/condor/wallaby_node.config
11/19/12 10:16:08 (pid:11744) DaemonCore: command socket at <IP:40110>
11/19/12 10:16:08 (pid:11744) DaemonCore: private command socket at <10.16.71.90:40110>
11/19/12 10:16:08 (pid:11744) Setting maximum accepts per cycle 8.
11/19/12 10:16:08 (pid:11744) ClassAdLogPlugin registration succeeded
11/19/12 10:16:08 (pid:11744) ScheddPlugin registration succeeded
11/19/12 10:16:08 (pid:11744) Successfully loaded plugin: /usr/lib64/condor/plugins/MgmtScheddPlugin-plugin.so
11/19/12 10:16:08 (pid:11744) ClassAdLogPlugin registration succeeded
11/19/12 10:16:08 (pid:11744) ScheddPlugin registration succeeded
11/19/12 10:16:08 (pid:11744) Successfully loaded plugin: /usr/lib64/condor/plugins/AviaryScheddPlugin-plugin.so
11/19/12 10:16:08 (pid:11744) Axis2 HTTP configuration failed, check possible conflict on port 9090
11/19/12 10:16:08 (pid:11744) ERROR "Unable to configure AviaryProvider. Exiting..." at line 63 in file /builddir/build/BUILD/condor-7.8.6/src/condor_contrib/aviary/src/AviaryScheddPlugin.cpp

# wallaby show-node-config node1 | grep -i locator
#

# condor_config_val -dump | grep -i locator
AVIARY_LOCATOR_MISSED_UPDATES = 2
AVIARY_LOCATOR_PRUNE_INTERVAL = 20
COLLECTOR.PLUGINS =  $(LIB)/plugins/MgmtCollectorPlugin-plugin.so $(LIB)/plugins/AviaryLocatorPlugin-plugin.so

# wallaby show-params AVIARY_PUBLISH_LOCATION
Console Connection Established...
AVIARY_PUBLISH_LOCATION
  kind:  "string"
  default:  "False"
  description:  "Controls Aviary locator publishing"
  must_change:  false
  requires_restart:  true
  visibility_level:  0
  depends:  []
  conflicts:  []
  annotation:  ""

I tried to configure multiple schedulers with query servers with wallaby cluster commands, but as you can see, no locator was set. As I understand, using wallaby shell, it should be configured automatically, when I will use wallaby cluster-add-queryserver.

Questions:
- will be query server configured with locator by wallaby cluster-add-queryserver?
- locator features will be in "Automatically generated conf for HA Schedd" group?

My packages:
python-wallaby-0.16.1-2.el6.noarch
condor-wallaby-base-db-1.24-2.el6.noarch
condor-wallaby-client-5.0.3-2.el6.noarch
ruby-wallaby-0.16.1-2.el6.noarch
wallaby-utils-0.16.1-2.el6.noarch
python-wallabyclient-5.0.3-2.el6.noarch
wallaby-0.16.1-2.el6.noarch
Comment 6 Tomas Rusnak 2012-11-19 10:29:48 EST
From /var/log/condor/SchedLog-HASchedd1

11/19/12 10:16:08 (pid:11744) Using config source: /etc/condor/condor_config
11/19/12 10:16:08 (pid:11744) Using local config sources: 
11/19/12 10:16:08 (pid:11744)    /etc/condor/config.d/00personal_condor.config
11/19/12 10:16:08 (pid:11744)    /etc/condor/config.d/60condor-qmf.config
11/19/12 10:16:08 (pid:11744)    /etc/condor/config.d/61aviary.config
11/19/12 10:16:08 (pid:11744)    /etc/condor/config.d/99configd.config
11/19/12 10:16:08 (pid:11744)    /etc/condor/config.d/zzz_condor_config.test
11/19/12 10:16:08 (pid:11744)    /var/lib/condor/wallaby_node.config
11/19/12 10:16:08 (pid:11744) DaemonCore: command socket at <IP:40110>
11/19/12 10:16:08 (pid:11744) DaemonCore: private command socket at <10.16.71.90:40110>
11/19/12 10:16:08 (pid:11744) Setting maximum accepts per cycle 8.
11/19/12 10:16:08 (pid:11744) ClassAdLogPlugin registration succeeded
11/19/12 10:16:08 (pid:11744) ScheddPlugin registration succeeded
11/19/12 10:16:08 (pid:11744) Successfully loaded plugin: /usr/lib64/condor/plugins/MgmtScheddPlugin-plugin.so
11/19/12 10:16:08 (pid:11744) ClassAdLogPlugin registration succeeded
11/19/12 10:16:08 (pid:11744) ScheddPlugin registration succeeded
11/19/12 10:16:08 (pid:11744) Successfully loaded plugin: /usr/lib64/condor/plugins/AviaryScheddPlugin-plugin.so
11/19/12 10:16:08 (pid:11744) Axis2 HTTP configuration failed, check possible conflict on port 9090
11/19/12 10:16:08 (pid:11744) ERROR "Unable to configure AviaryProvider. Exiting..." at line 63 in file /builddir/build/BUILD/condor-7.8.6/src/condor_contrib/aviary/src/AviaryScheddPlugin.cpp

# wallaby show-node-config node1 | grep -i locator
#

# condor_config_val -dump | grep -i locator
AVIARY_LOCATOR_MISSED_UPDATES = 2
AVIARY_LOCATOR_PRUNE_INTERVAL = 20
COLLECTOR.PLUGINS =  $(LIB)/plugins/MgmtCollectorPlugin-plugin.so $(LIB)/plugins/AviaryLocatorPlugin-plugin.so

# wallaby show-params AVIARY_PUBLISH_LOCATION
Console Connection Established...
AVIARY_PUBLISH_LOCATION
  kind:  "string"
  default:  "False"
  description:  "Controls Aviary locator publishing"
  must_change:  false
  requires_restart:  true
  visibility_level:  0
  depends:  []
  conflicts:  []
  annotation:  ""

I tried to configure multiple schedulers with query servers with wallaby cluster commands, but as you can see, no locator was set. As I understand, using wallaby shell, it should be configured automatically, when I will use wallaby cluster-add-queryserver.

Questions:
- will be query server configured with locator by wallaby cluster-add-queryserver?
- locator features will be in "Automatically generated conf for HA Schedd" group?

My packages:
python-wallaby-0.16.1-2.el6.noarch
condor-wallaby-base-db-1.24-2.el6.noarch
condor-wallaby-client-5.0.3-2.el6.noarch
ruby-wallaby-0.16.1-2.el6.noarch
wallaby-utils-0.16.1-2.el6.noarch
python-wallabyclient-5.0.3-2.el6.noarch
wallaby-0.16.1-2.el6.noarch
Comment 7 Robert Rati 2012-11-19 16:01:43 EST
Using the RHHA tools to configure a query server should enable the query server to use the locator service.  The locator service itself will need to be configured independently in the pool (on the collector)
Comment 9 Tomas Rusnak 2013-02-07 03:32:49 EST
Tested on:
condor-wallaby-client-5.0.5-1.el6.noarch
condor-classads-7.8.8-0.4.el6.x86_64
python-condorutils-1.5-6.el6.noarch
condor-7.8.8-0.4.el6.x86_64
condor-qmf-7.8.8-0.4.el6.x86_64
condor-wallaby-base-db-1.25-1.el6_3.noarch
condor-kbdd-7.8.8-0.4.el6.x86_64
condor-debuginfo-7.8.8-0.4.el6.x86_64
condor-aviary-7.8.8-0.4.el6.x86_64
condor-vm-gahp-7.8.8-0.4.el6.x86_64

Configured cluster with 3 nodes, 2 nodes with QS. Locator was enabled by wallaby cluster commands:
CUSTOM | QUERY_SERVER | ha-schedd-HASchedd2@ | http://node1:59599/services/query/
CUSTOM | QUERY_SERVER | ha-schedd-HASchedd3@ | http://node2:40640/services/query/

>>> VERIFIED
Comment 11 errata-xmlrpc 2013-03-06 13:43:39 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.